Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class Event

    java.lang.Object
      net.sf.dropboxmq.workflow.data.Event

All Implemented Interfaces:
  Serializable, Cloneable

    public class Event

extends Object
implements Serializable, Cloneable

Created: 28 Jul 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Constructor Summary
`Event()`

Method Summary
`Event` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getContent()`
`Integer` | `getEventTypeId()`
`String` | `getEventTypeName()`
`Integer` | `getFromStateId()`
`String` | `getFromStateName()`
`Integer` | `getId()`
`Date` | `getProcessedOn()`
`String` | `getProtocol()`
`Integer` | `getRunId()`
`Date` | `getStoredOn()`
`Integer` | `getToStateId()`
`String` | `getToStateName()`
`String` | `getTransitionName()`
`int` | `hashCode()`
`Boolean` | `isDeferred()`
`void` | `setContent(String content)`
`void` | `setDeferred(Boolean isDeferred)`
`void` | `setEventTypeId(Integer eventTypeId)`
`void` | `setEventTypeName(String eventTypeName)`
`void` | `setFromStateId(Integer fromStateId)`
`void` | `setFromStateName(String fromStateName)`
`void` | `setId(Integer id)`
`void` | `setProcessedOn(Date processedOn)`
`void` | `setProtocol(String protocol)`
`void` | `setRunId(Integer runId)`
`void` | `setStoredOn(Date storedOn)`
`void` | `setToStateId(Integer toStateId)`
`void` | `setToStateName(String toStateName)`
`void` | `setTransitionName(String transitionName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event

    public Event()

Method Detail

### getId

    public Integer getId()

### setId

    public void setId(Integer id)

### getProtocol

    public String getProtocol()

### setProtocol

    public void setProtocol(String protocol)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### getStoredOn

    public Date getStoredOn()

### setStoredOn

    public void setStoredOn(Date storedOn)

### getProcessedOn

    public Date getProcessedOn()

### setProcessedOn

    public void setProcessedOn(Date processedOn)

### isDeferred

    public Boolean isDeferred()

### setDeferred

    public void setDeferred(Boolean isDeferred)

### getRunId

    public Integer getRunId()

### setRunId

    public void setRunId(Integer runId)

### getEventTypeId

    public Integer getEventTypeId()

### setEventTypeId

    public void setEventTypeId(Integer eventTypeId)

### getTransitionName

    public String getTransitionName()

### setTransitionName

    public void setTransitionName(String transitionName)

### getFromStateId

    public Integer getFromStateId()

### setFromStateId

    public void setFromStateId(Integer fromStateId)

### getToStateId

    public Integer getToStateId()

### setToStateId

    public void setToStateId(Integer toStateId)

### getEventTypeName

    public String getEventTypeName()

### setEventTypeName

    public void setEventTypeName(String eventTypeName)

### getFromStateName

    public String getFromStateName()

### setFromStateName

    public void setFromStateName(String fromStateName)

### getToStateName

    public String getToStateName()

### setToStateName

    public void setToStateName(String toStateName)

### clone

    public final Event clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD